PHP7


Wichtig! Profihost SystemUpdate im Februar 2020

Die PHP-Versionen 5.3, 5.4 und 5.5 fliegen bei ProfiHost raus. Bitte prüft Eure OXID-Shopversionen, ob diese noch unter PHP 5.6 – 7.3 lauffähig sind!



Dein Hoster schaltet PHP Versionen ab, was du beachten solltest?

Alte PHP-Versionen werden von den Hosting-Providern nicht mehr unterstützt. In diesem Blogpost lernst Du, was das für Dich bedeutet und ob Du handeln musst.



OXID 6 Docker Container

OXID Docker Container mit PHP 7, MySQL 5.7, Postfix und OXID eShop 6 (beta) steht kostenlos auf Github zur Verfügung



OXID eShop für PHP 7 patchen

Auf der diesjährigen OXID Unconference habe ich einen Vortrag darüber gehalten, was man tun muss, um eine aktuelle OXID CE 4.9.8 lauffähig für PHP 7 zu machen. Da das Interesse recht groß war und ich nachher mehrfach gefragt wurde, ob ich die Slides online stelle (was in Kürze erfolgen wird), möchte ich auch hier kurz noch einmal beschreiben, was zu tun ist.